Subject: Re: Hitting slab BUG with bridging/cxgb3 on 2.6.31-rc2

From: Roland Dreier <[email-masked]>
Date: Wed, 08 Jul 2009 22:24:37 -0700

> The cxgb3 patch that touches the data path since 2.6.30 is the LLTX removal:
 > http://git.kernel.org/?p=linux/kernel/git/torvalds/linux-2.6.git;a=commitdiff;h=c3a8c5b644118b5e2cfd0690b1dcea904a792c52

 > Would you mind reverting only this change only and see if the bug is
 > going away?

Yep, reverting that makes things work solid.  I don't see an obvious
problem with that patch... seems the only places that free TX skbs are
the xmit routine itself, and in sge_timer_tx() where it's protected by
doing __netif_tx_lock().

 - R.